Page MenuHomePhabricator

efl_pan: improve docs
ClosedPublic

Authored by segfaultxavi on May 8 2019, 8:07 AM.

Details

Summary

documentation now reflects what is happening in the functions

Diff Detail

Repository
rEFL core/efl
Branch
arcpatch-D8863
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 12496
Build 9018: arc lint + arc unit
bu5hm4n created this revision.May 8 2019, 8:07 AM
bu5hm4n requested review of this revision.May 8 2019, 8:07 AM

Doing some tests to try to understand how this class actually works...

segfaultxavi commandeered this revision.Jul 30 2019, 3:17 AM
segfaultxavi edited reviewers, added: bu5hm4n; removed: segfaultxavi.

Second round!

bu5hm4n added inline comments.Jul 30 2019, 10:30 AM
src/lib/elementary/efl_ui_pan.eo
17

I was also in this opinion. But when boncing is enabled, positions outside of min & max are possible, and should be supported. Sorry, i also got this wrong when writing this initial revision.

To be clear:
Min and Max only garantees that the content is fully visible, and no background is directly visible.

Fix meaning of min and max positions.

bu5hm4n accepted this revision.Jul 31 2019, 1:47 AM
This revision is now accepted and ready to land.Jul 31 2019, 1:47 AM
Closed by commit rEFLf00e24de29a2: efl_pan: improve docs (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>, committed by segfaultxavi). · Explain WhyJul 31 2019, 1:50 AM
This revision was automatically updated to reflect the committed changes.